Index: squid/auth_modules/MSNT/rfcnb-io.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/rfcnb-io.c,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.30.1
diff -u -r1.1.1.1 -r1.1.1.1.30.1
--- squid/auth_modules/MSNT/rfcnb-io.c	26 Jan 2000 03:25:00 -0000	1.1.1.1
+++ squid/auth_modules/MSNT/rfcnb-io.c	27 Aug 2001 21:48:15 -0000	1.1.1.1.30.1
@@ -1,5 +1,4 @@
 /* UNIX RFCNB (RFC1001/RFC1002) NEtBIOS implementation
-
    Version 1.0
    RFCNB IO Routines ...
 
@@ -30,108 +29,109 @@
 #include <sys/uio.h>
 #include <sys/signal.h>
 
-int RFCNB_Timeout = 0;    /* Timeout in seconds ... */
-
-void rfcnb_alarm(int sig)
+int RFCNB_Timeout = 0;		/* Timeout in seconds ... */
 
+void
+rfcnb_alarm(int sig)
 {
 
-  fprintf(stderr, "IO Timed out ...\n");
+    fprintf(stderr, "IO Timed out ...\n");
 
 }
 
 /* Set timeout value and setup signal handling */
 
-int RFCNB_Set_Timeout(int seconds)
-
+int
+RFCNB_Set_Timeout(int seconds)
 {
-  int temp;
-  /* If we are on a Bezerkeley system, use sigvec, else sigaction */
+    int temp;
+    /* If we are on a Bezerkeley system, use sigvec, else sigaction */
 #ifndef SA_RESTART
-  struct sigvec invec, outvec; 
+    struct sigvec invec, outvec;
 #else
-  struct sigaction inact, outact;
+    struct sigaction inact, outact;
 #endif
 
-  RFCNB_Timeout = seconds;
+    RFCNB_Timeout = seconds;
 
-  if (RFCNB_Timeout > 0) { /* Set up handler to ignore but not restart */
+    if (RFCNB_Timeout > 0) {	/* Set up handler to ignore but not restart */
 
 #ifndef SA_RESTART
-    invec.sv_handler = (void (*)())rfcnb_alarm;
-    invec.sv_mask = 0;
-    invec.sv_flags = SV_INTERRUPT;
+	invec.sv_handler = (void (*)()) rfcnb_alarm;
+	invec.sv_mask = 0;
+	invec.sv_flags = SV_INTERRUPT;
 
-    if (sigvec(SIGALRM, &invec, &outvec)  < 0)
-      return(-1);
+	if (sigvec(SIGALRM, &invec, &outvec) < 0)
+	    return (-1);
 #else
-    inact.sa_handler = (void (*)())rfcnb_alarm;
+	inact.sa_handler = (void (*)()) rfcnb_alarm;
 #ifdef SOLARIS
-    /* Solaris seems to have an array of vectors ... */
-    inact.sa_mask.__sigbits[0] = 0;
-    inact.sa_mask.__sigbits[1] = 0;
-    inact.sa_mask.__sigbits[2] = 0;
-    inact.sa_mask.__sigbits[3] = 0;
+	/* Solaris seems to have an array of vectors ... */
+	inact.sa_mask.__sigbits[0] = 0;
+	inact.sa_mask.__sigbits[1] = 0;
+	inact.sa_mask.__sigbits[2] = 0;
+	inact.sa_mask.__sigbits[3] = 0;
 #else
 #ifdef __GLIBC__
-    for (temp = 0 ; temp < 32 ; temp ++)
-	inact.sa_mask.__val[temp]=0;
+	for (temp = 0; temp < 32; temp++)
+	    inact.sa_mask.__val[temp] = 0;
 #else
-    inact.sa_mask = 0;
+	inact.sa_mask = 0;
 #endif
 #endif
-    inact.sa_flags = 0;    /* Don't restart */
+	inact.sa_flags = 0;	/* Don't restart */
 
-    if (sigaction(SIGALRM, &inact, &outact) < 0)
-      return(-1);
+	if (sigaction(SIGALRM, &inact, &outact) < 0)
+	    return (-1);
 
 #endif
 
-  }
+    }
 
-  return(0);
+    return (0);
 
 }
 
 /* Discard the rest of an incoming packet as we do not have space for it
    in the buffer we allocated or were passed ...                         */
 
-int RFCNB_Discard_Rest(struct RFCNB_Con *con, int len)
-
-{ char temp[100];   /* Read into here */
-  int rest, this_read, bytes_read;
+int
+RFCNB_Discard_Rest(struct RFCNB_Con *con, int len)
+{
+    char temp[100];		/* Read into here */
+    int rest, this_read, bytes_read;
 
-  /* len is the amount we should read */
+    /* len is the amount we should read */
 
 #ifdef RFCNB_DEBUG
-  fprintf(stderr, "Discard_Rest called to discard: %i\n", len);
+    fprintf(stderr, "Discard_Rest called to discard: %i\n", len);
 #endif
 
-  rest = len;
+    rest = len;
 
-  while (rest > 0) {
+    while (rest > 0) {
 
-    this_read = (rest > sizeof(temp)?sizeof(temp):rest);
+	this_read = (rest > sizeof(temp) ? sizeof(temp) : rest);
 
-    bytes_read = read(con -> fd, temp, this_read);
+	bytes_read = read(con->fd, temp, this_read);
 
-    if (bytes_read <= 0) { /* Error so return */
+	if (bytes_read <= 0) {	/* Error so return */
 
-      if (bytes_read < 0) 
-	RFCNB_errno = RFCNBE_BadRead;
-      else
-	RFCNB_errno = RFCNBE_ConGone;
+	    if (bytes_read < 0)
+		RFCNB_errno = RFCNBE_BadRead;
+	    else
+		RFCNB_errno = RFCNBE_ConGone;
 
-      RFCNB_saved_errno = errno;
-      return(RFCNBE_Bad);
+	    RFCNB_saved_errno = errno;
+	    return (RFCNBE_Bad);
 
-    }
-    
-    rest = rest - bytes_read;
+	}
 
-  }
+	rest = rest - bytes_read;
 
-  return(0);
+    }
+
+    return (0);
 
 }
 
@@ -144,85 +144,87 @@
 
 */
 
-int RFCNB_Put_Pkt(struct RFCNB_Con *con, struct RFCNB_Pkt *pkt, int len)
-
-{ int len_sent, tot_sent, this_len;
-  struct RFCNB_Pkt *pkt_ptr;
-  char *this_data;
-  int i;
-  struct iovec io_list[10];          /* We should never have more      */
-                                     /* If we do, this will blow up ...*/
+int
+RFCNB_Put_Pkt(struct RFCNB_Con *con, struct RFCNB_Pkt *pkt, int len)
+{
+    int len_sent, tot_sent, this_len;
+    struct RFCNB_Pkt *pkt_ptr;
+    char *this_data;
+    int i;
+    struct iovec io_list[10];	/* We should never have more      */
+    /* If we do, this will blow up ... */
 
-  /* Try to send the data ... We only send as many bytes as len claims */
-  /* We should try to stuff it into an IOVEC and send as one write     */
+    /* Try to send the data ... We only send as many bytes as len claims */
+    /* We should try to stuff it into an IOVEC and send as one write     */
 
 
-  pkt_ptr = pkt;
-  len_sent =  tot_sent = 0;             /* Nothing sent so far */
-  i = 0;
+    pkt_ptr = pkt;
+    len_sent = tot_sent = 0;	/* Nothing sent so far */
+    i = 0;
 
-  while ((pkt_ptr != NULL) & (i < 10)) {  /* Watch that magic number! */
+    while ((pkt_ptr != NULL) & (i < 10)) {	/* Watch that magic number! */
 
-    this_len = pkt_ptr -> len;
-    this_data = pkt_ptr -> data;
-    if ((tot_sent + this_len) > len) 
-      this_len = len - tot_sent;        /* Adjust so we don't send too much */
+	this_len = pkt_ptr->len;
+	this_data = pkt_ptr->data;
+	if ((tot_sent + this_len) > len)
+	    this_len = len - tot_sent;	/* Adjust so we don't send too much */
 
-    /* Now plug into the iovec ... */
+	/* Now plug into the iovec ... */
 
-    io_list[i].iov_len = this_len;
-    io_list[i].iov_base = this_data;
-    i++;
+	io_list[i].iov_len = this_len;
+	io_list[i].iov_base = this_data;
+	i++;
 
-    tot_sent += this_len;
+	tot_sent += this_len;
 
-    if (tot_sent == len) break;   /* Let's not send too much */
+	if (tot_sent == len)
+	    break;		/* Let's not send too much */
 
-    pkt_ptr = pkt_ptr -> next;
+	pkt_ptr = pkt_ptr->next;
 
-  }
+    }
 
 #ifdef RFCNB_DEBUG
-  fprintf(stderr, "Frags = %i, tot_sent = %i\n", i, tot_sent);
+    fprintf(stderr, "Frags = %i, tot_sent = %i\n", i, tot_sent);
 #endif
 
-  /* Set up an alarm if timeouts are set ... */
+    /* Set up an alarm if timeouts are set ... */
 
-  if (RFCNB_Timeout > 0) 
-    alarm(RFCNB_Timeout);
+    if (RFCNB_Timeout > 0)
+	alarm(RFCNB_Timeout);
 
-  if ((len_sent = writev(con -> fd, io_list, i)) < 0) { /* An error */
+    if ((len_sent = writev(con->fd, io_list, i)) < 0) {	/* An error */
 
-    con -> rfc_errno = errno;
-    if (errno == EINTR)  /* We were interrupted ... */
-      RFCNB_errno = RFCNBE_Timeout;
-    else
-      RFCNB_errno = RFCNBE_BadWrite;
-    RFCNB_saved_errno = errno;
-    return(RFCNBE_Bad);
-
-  }
-
-  if (len_sent < tot_sent) { /* Less than we wanted */
-    if (errno == EINTR)      /* We were interrupted */
-      RFCNB_errno = RFCNBE_Timeout;
-    else
-      RFCNB_errno = RFCNBE_BadWrite;
-    RFCNB_saved_errno = errno;
-    return(RFCNBE_Bad);
-  }
+	con->rfc_errno = errno;
+	if (errno == EINTR)	/* We were interrupted ... */
+	    RFCNB_errno = RFCNBE_Timeout;
+	else
+	    RFCNB_errno = RFCNBE_BadWrite;
+	RFCNB_saved_errno = errno;
+	return (RFCNBE_Bad);
+
+    }
+
+    if (len_sent < tot_sent) {	/* Less than we wanted */
+	if (errno == EINTR)	/* We were interrupted */
+	    RFCNB_errno = RFCNBE_Timeout;
+	else
+	    RFCNB_errno = RFCNBE_BadWrite;
+	RFCNB_saved_errno = errno;
+	return (RFCNBE_Bad);
+    }
 
-  if (RFCNB_Timeout > 0)
-    alarm(0);                /* Reset that sucker */
+    if (RFCNB_Timeout > 0)
+	alarm(0);		/* Reset that sucker */
 
 #ifdef RFCNB_DEBUG
 
-  fprintf(stderr, "Len sent = %i ...\n", len_sent);
-  RFCNB_Print_Pkt(stderr, "sent", pkt, len_sent); /* Print what send ... */
+    fprintf(stderr, "Len sent = %i ...\n", len_sent);
+    RFCNB_Print_Pkt(stderr, "sent", pkt, len_sent);	/* Print what send ... */
 
 #endif
 
-  return(len_sent);
+    return (len_sent);
 
 }
 
@@ -234,188 +236,187 @@
 */
 
 
-int RFCNB_Get_Pkt(struct RFCNB_Con *con, struct RFCNB_Pkt *pkt, int len)
-
-{ int read_len, pkt_len;
-  char hdr[RFCNB_Pkt_Hdr_Len];      /* Local space for the header */
-  struct RFCNB_Pkt *pkt_frag;
-  int more, this_time, offset, frag_len, this_len;
-  BOOL seen_keep_alive = TRUE;
+int
+RFCNB_Get_Pkt(struct RFCNB_Con *con, struct RFCNB_Pkt *pkt, int len)
+{
+    int read_len, pkt_len;
+    char hdr[RFCNB_Pkt_Hdr_Len];	/* Local space for the header */
+    struct RFCNB_Pkt *pkt_frag;
+    int more, this_time, offset, frag_len, this_len;
+    BOOL seen_keep_alive = TRUE;
 
-  /* Read that header straight into the buffer */
+    /* Read that header straight into the buffer */
 
-  if (len < RFCNB_Pkt_Hdr_Len) { /* What a bozo */
+    if (len < RFCNB_Pkt_Hdr_Len) {	/* What a bozo */
 
 #ifdef RFCNB_DEBUG
-    fprintf(stderr, "Trying to read less than a packet:");
-    perror("");
+	fprintf(stderr, "Trying to read less than a packet:");
+	perror("");
 #endif
-    RFCNB_errno = RFCNBE_BadParam;
-    return(RFCNBE_Bad);
+	RFCNB_errno = RFCNBE_BadParam;
+	return (RFCNBE_Bad);
 
-  }
+    }
 
-  /* We discard keep alives here ... */
+    /* We discard keep alives here ... */
 
-  if (RFCNB_Timeout > 0) 
-    alarm(RFCNB_Timeout);
+    if (RFCNB_Timeout > 0)
+	alarm(RFCNB_Timeout);
 
-  while (seen_keep_alive) {
+    while (seen_keep_alive) {
 
-    if ((read_len = read(con -> fd, hdr, sizeof(hdr))) < 0) { /* Problems */
+	if ((read_len = read(con->fd, hdr, sizeof(hdr))) < 0) {	/* Problems */
 #ifdef RFCNB_DEBUG
-      fprintf(stderr, "Reading the packet, we got:");
-      perror("");
+	    fprintf(stderr, "Reading the packet, we got:");
+	    perror("");
 #endif
-      if (errno == EINTR)
-	RFCNB_errno = RFCNBE_Timeout;
-      else
-	RFCNB_errno = RFCNBE_BadRead;
-      RFCNB_saved_errno = errno;
-      return(RFCNBE_Bad);
+	    if (errno == EINTR)
+		RFCNB_errno = RFCNBE_Timeout;
+	    else
+		RFCNB_errno = RFCNBE_BadRead;
+	    RFCNB_saved_errno = errno;
+	    return (RFCNBE_Bad);
 
-    }
+	}
 
-    /* Now we check out what we got */
+	/* Now we check out what we got */
 
-    if (read_len == 0) { /* Connection closed, send back eof?  */
+	if (read_len == 0) {	/* Connection closed, send back eof?  */
 
 #ifdef RFCNB_DEBUG
-      fprintf(stderr, "Connection closed reading\n");
-#endif 
+	    fprintf(stderr, "Connection closed reading\n");
+#endif
 
-      if (errno == EINTR) 
-	RFCNB_errno = RFCNBE_Timeout;
-      else
-	RFCNB_errno = RFCNBE_ConGone;
-      RFCNB_saved_errno = errno;
-      return(RFCNBE_Bad);
+	    if (errno == EINTR)
+		RFCNB_errno = RFCNBE_Timeout;
+	    else
+		RFCNB_errno = RFCNBE_ConGone;
+	    RFCNB_saved_errno = errno;
+	    return (RFCNBE_Bad);
 
-    }
+	}
 
-    if (RFCNB_Pkt_Type(hdr) == RFCNB_SESSION_KEEP_ALIVE) {
+	if (RFCNB_Pkt_Type(hdr) == RFCNB_SESSION_KEEP_ALIVE) {
 
 #ifdef RFCNB_DEBUG
-      fprintf(stderr, "RFCNB KEEP ALIVE received\n");
+	    fprintf(stderr, "RFCNB KEEP ALIVE received\n");
 #endif
-      
-    }
-    else {
-      seen_keep_alive = FALSE;
+
+	} else {
+	    seen_keep_alive = FALSE;
+	}
+
     }
 
-  }
- 
-  /* What if we got less than or equal to a hdr size in bytes? */
+    /* What if we got less than or equal to a hdr size in bytes? */
 
-  if (read_len < sizeof(hdr)) { /* We got a small packet */
+    if (read_len < sizeof(hdr)) {	/* We got a small packet */
 
-    /* Now we need to copy the hdr portion we got into the supplied packet */
+	/* Now we need to copy the hdr portion we got into the supplied packet */
 
-    memcpy(pkt -> data, hdr, read_len);  /*Copy data */
+	memcpy(pkt->data, hdr, read_len);	/*Copy data */
 
 #ifdef RFCNB_DEBUG
-    RFCNB_Print_Pkt(stderr, "rcvd", pkt, read_len);
+	RFCNB_Print_Pkt(stderr, "rcvd", pkt, read_len);
 #endif
 
-    return(read_len);
+	return (read_len);
 
-  }
+    }
 
-  /* Now, if we got at least a hdr size, alloc space for rest, if we need it */
+    /* Now, if we got at least a hdr size, alloc space for rest, if we need it */
 
-  pkt_len = RFCNB_Pkt_Len(hdr);
+    pkt_len = RFCNB_Pkt_Len(hdr);
 
 #ifdef RFCNB_DEBUG
-  fprintf(stderr, "Reading Pkt: Length = %i\n", pkt_len);
-#endif  
+    fprintf(stderr, "Reading Pkt: Length = %i\n", pkt_len);
+#endif
 
-  /* Now copy in the hdr */
+    /* Now copy in the hdr */
 
-  memcpy(pkt -> data, hdr, sizeof(hdr));
+    memcpy(pkt->data, hdr, sizeof(hdr));
 
-  /* Get the rest of the packet ... first figure out how big our buf is? */
-  /* And make sure that we handle the fragments properly ... Sure should */
-  /* use an iovec ...                                                    */
+    /* Get the rest of the packet ... first figure out how big our buf is? */
+    /* And make sure that we handle the fragments properly ... Sure should */
+    /* use an iovec ...                                                    */
 
-  if (len < pkt_len)            /* Only get as much as we have space for */
-    more = len - RFCNB_Pkt_Hdr_Len;
-  else
-    more = pkt_len;
+    if (len < pkt_len)		/* Only get as much as we have space for */
+	more = len - RFCNB_Pkt_Hdr_Len;
+    else
+	more = pkt_len;
 
-  this_time = 0;
+    this_time = 0;
 
-  /* We read for each fragment ... */
+    /* We read for each fragment ... */
 
-  if (pkt -> len == read_len){     /* If this frag was exact size */
-    pkt_frag = pkt -> next;        /* Stick next lot in next frag */
-    offset = 0;                    /* then we start at 0 in next  */
-  }
-  else {
-    pkt_frag = pkt;                /* Otherwise use rest of this frag */
-    offset = RFCNB_Pkt_Hdr_Len;    /* Otherwise skip the header       */
-  }
+    if (pkt->len == read_len) {	/* If this frag was exact size */
+	pkt_frag = pkt->next;	/* Stick next lot in next frag */
+	offset = 0;		/* then we start at 0 in next  */
+    } else {
+	pkt_frag = pkt;		/* Otherwise use rest of this frag */
+	offset = RFCNB_Pkt_Hdr_Len;	/* Otherwise skip the header       */
+    }
 
-  frag_len = pkt_frag -> len;
+    frag_len = pkt_frag->len;
 
-  if (more <= frag_len)     /* If len left to get less than frag space */
-    this_len = more;        /* Get the rest ...                        */
-  else
-    this_len = frag_len - offset;
+    if (more <= frag_len)	/* If len left to get less than frag space */
+	this_len = more;	/* Get the rest ...                        */
+    else
+	this_len = frag_len - offset;
 
-  while (more > 0) {
+    while (more > 0) {
 
-    if ((this_time = read(con -> fd, (pkt_frag -> data) + offset, this_len)) <= 0) { /* Problems */
+	if ((this_time = read(con->fd, (pkt_frag->data) + offset, this_len)) <= 0) {	/* Problems */
 
-      if (errno == EINTR) {
+	    if (errno == EINTR) {
 
-	RFCNB_errno = RFCNB_Timeout;
+		RFCNB_errno = RFCNB_Timeout;
 
-      }
-      else {
-	if (this_time < 0)
-	  RFCNB_errno = RFCNBE_BadRead;
-	else
-	  RFCNB_errno = RFCNBE_ConGone;
-      }
+	    } else {
+		if (this_time < 0)
+		    RFCNB_errno = RFCNBE_BadRead;
+		else
+		    RFCNB_errno = RFCNBE_ConGone;
+	    }
 
-      RFCNB_saved_errno = errno;
-      return(RFCNBE_Bad);
-
-    }
+	    RFCNB_saved_errno = errno;
+	    return (RFCNBE_Bad);
 
+	}
 #ifdef RFCNB_DEBUG
-    fprintf(stderr, "Frag_Len = %i, this_time = %i, this_len = %i, more = %i\n", frag_len,
-                    this_time, this_len, more);
+	fprintf(stderr,
+	    "Frag_Len = %i, this_time = %i, this_len = %i, more = %i\n",
+	    frag_len, this_time, this_len, more);
 #endif
 
-    read_len = read_len + this_time;  /* How much have we read ... */
+	read_len = read_len + this_time;	/* How much have we read ... */
 
-    /* Now set up the next part */
+	/* Now set up the next part */
 
-    if (pkt_frag -> next == NULL) break;       /* That's it here */
+	if (pkt_frag->next == NULL)
+	    break;		/* That's it here */
 
-    pkt_frag = pkt_frag -> next;
-    this_len = pkt_frag -> len;
-    offset = 0;
+	pkt_frag = pkt_frag->next;
+	this_len = pkt_frag->len;
+	offset = 0;
 
-    more = more - this_time;
+	more = more - this_time;
 
-  }
+    }
 
 #ifdef RFCNB_DEBUG
-  fprintf(stderr,"Pkt Len = %i, read_len = %i\n", pkt_len, read_len);
-  RFCNB_Print_Pkt(stderr, "rcvd", pkt, read_len + sizeof(hdr));
+    fprintf(stderr, "Pkt Len = %i, read_len = %i\n", pkt_len, read_len);
+    RFCNB_Print_Pkt(stderr, "rcvd", pkt, read_len + sizeof(hdr));
 #endif
 
-  if (read_len < (pkt_len + sizeof(hdr))) {  /* Discard the rest */
+    if (read_len < (pkt_len + sizeof(hdr))) {	/* Discard the rest */
 
-    return(RFCNB_Discard_Rest(con, (pkt_len + sizeof(hdr)) - read_len));
+	return (RFCNB_Discard_Rest(con, (pkt_len + sizeof(hdr)) - read_len));
 
-  }
+    }
 
-  if (RFCNB_Timeout > 0)
-    alarm(0);                /* Reset that sucker */
+    if (RFCNB_Timeout > 0)
+	alarm(0);		/* Reset that sucker */
 
-  return(read_len + sizeof(RFCNB_Hdr));
+    return (read_len + sizeof(RFCNB_Hdr));
 }
Index: squid/auth_modules/MSNT/rfcnb-priv.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/auth_modules/MSNT/Attic/rfcnb-priv.h,v
retrieving revision 1.1.1.1
retrieving revision 1.1.1.1.30.1
diff -u -r1.1.1.1 -r1.1.1.1.30.1
--- squid/auth_modules/MSNT/rfcnb-priv.h	26 Jan 2000 03:25:00 -0000	1.1.1.1
+++ squid/auth_modules/MSNT/rfcnb-priv.h	27 Aug 2001 21:48:15 -0000	1.1.1.1.30.1
@@ -1,5 +1,4 @@
 /* UNIX RFCNB (RFC1001/RFC1002) NetBIOS implementation
-
    Version 1.0
    RFCNB Defines
 
@@ -52,30 +51,33 @@
 
 /* Structures      */
 
-typedef struct redirect_addr * redirect_ptr;
+typedef struct redirect_addr *redirect_ptr;
 
-struct redirect_addr {
+struct redirect_addr
+{
 
-  struct in_addr ip_addr;
-  int port;
-  redirect_ptr next;
+    struct in_addr ip_addr;
+    int port;
+    redirect_ptr next;
 
 };
 
-typedef struct RFCNB_Con {
+typedef struct RFCNB_Con
+{
 
-  int fd;                     /* File descripter for TCP/IP connection */
-  int rfc_errno;                  /* last error                            */
-  int timeout;		      /* How many milli-secs before IO times out */
-  int redirects;	      /* How many times we were redirected     */
-  struct redirect_addr *redirect_list;  /* First is first address */
-  struct redirect_addr *last_addr;
-
-} RFCNB_Con;
-
-typedef char RFCNB_Hdr[4]; /* The header is 4 bytes long with  */
-                                    /* char[0] as the type, char[1] the */
-			            /* flags, and char[2..3] the length */
+    int fd;			/* File descripter for TCP/IP connection */
+    int rfc_errno;		/* last error                            */
+    int timeout;		/* How many milli-secs before IO times out */
+    int redirects;		/* How many times we were redirected     */
+    struct redirect_addr *redirect_list;	/* First is first address */
+    struct redirect_addr *last_addr;
+
+}
+RFCNB_Con;
+
+typedef char RFCNB_Hdr[4];	/* The header is 4 bytes long with  */
+				    /* char[0] as the type, char[1] the */
+				    /* flags, and char[2..3] the length */
 
 /* Macros to extract things from the header. These are for portability
    between architecture types where we are worried about byte order     */
@@ -86,7 +88,7 @@
 #define RFCNB_Pkt_Nack_Len       5
 #define RFCNB_Pkt_Type_Offset    0
 #define RFCNB_Pkt_Flags_Offset   1
-#define RFCNB_Pkt_Len_Offset     2   /* Length is 2 bytes plus a flag bit */
+#define RFCNB_Pkt_Len_Offset     2	/* Length is 2 bytes plus a flag bit */
 #define RFCNB_Pkt_N1Len_Offset   4
 #define RFCNB_Pkt_Called_Offset  5
 #define RFCNB_Pkt_N2Len_Offset   38
@@ -147,5 +149,5 @@
 
 #ifndef RFCNB_ERRNO
 extern int RFCNB_errno;
-extern int RFCNB_saved_errno;    /* Save this from point of error */
+extern int RFCNB_saved_errno;	/* Save this from point of error */
 #endif
